Admin A P I
Create node deploy token
Creates or reuses an application API key that can deploy the specified node.
POST
/api/admin/nodes/{node_id}/deploy-tokenAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
node_id*integer
The node ID.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/admin/nodes/1/deploy-token"{ "node": 1, "token": "ptla_1234567890abcdef", "panel_url": "https://panel.example.com", "allow_insecure": false}